package com.mdtexfx.processors.tex;

import com.mdtexfx.processors.*;
import org.junit.jupiter.api.Test;

import static com.mdtexfx.io.MediaType.TEXT_MARKDOWN;
import static com.mdtexfx.processors.ProcessorFactoryTest.HtmlCapture;
import static org.junit.jupiter.api.Assertions.assertTrue;

class TeXProcessorTest {

  @Test
  void test_Formula_MarkdownInput_SvgOutput() {
    final var renderer = new HtmlCapture();
    final var context = new ProcessorContext( TEXT_MARKDOWN, renderer );
    final var processor = ProcessorFactory.create( context );
    final var html = processor.apply( "$e^{i\\pi} + 1 = 0$" );

    assertTrue( html.contains( "<svg" ) );
  }
}
